커뮤니티

커뮤니티 게시물 조회

GET /v1/communities/{community_id}/tweets reads 2 크레딧

커뮤니티의 게시물, 관련성 순 또는 최신순.

쿼리 매개변수

쿼리 파라미터타입의미
countint 1–100 = 40요청 페이지 크기. X는 힌트로 취급
cursorstring이전 페이지의 next_cursor에서. 디코딩할 수 없는 커서는 400입니다
rankingRelevance | Recency = Relevance인기 게시물은 Relevance, 최신 게시물은 Recency

응답

커뮤니티 id, 게시물 한 페이지, 다음 페이지 커서(끝이면 null). 알 수 없거나 이용할 수 없는 커뮤니티는 404입니다.

상태: 200, 400, 404, 422, 429, 502

요청
curl https://api.xsignalfeed.com/v1/communities/1493446837214187523/tweets?count=20&ranking=Recency \
  -H "Authorization: Bearer xsf_your_key"
응답 · 200 / 400
{
  "community_id": "1493446837214187523",
  "tweets": [
    {
      "id": 2097713756054704513,
      "created_ms": 1788968907737,
      "user_id": 2729705040,
      "user": "buildinpublic",
      "name": "Build in Public",
      "text": "today we're launching DEALS 🎁✨ …",
      "lang": "en",
      "reply_to": null,
      "reply_to_status_id": null,
      "reply_to_user_id": null,
      "conversation_id": "2097713756054704513",
      "is_rt": false,
      "rt_of": null,
      "is_quote": false,
      "quoted": null,
      "media": [
        "https://pbs.twimg.com/media/….jpg"
      ],
      "media_items": [
        {
          "type": "photo",
          "url": "https://pbs.twimg.com/media/….jpg",
          "expanded_url": "https://x.com/buildinpublic/status/2097713756054704513/photo/1",
          "width": 1600,
          "height": 900
        }
      ],
      "urls": [
        "https://…"
      ],
      "views": "18422",
      "counts": {
        "reply": 41,
        "rt": 12,
        "like": 210,
        "quote": 3,
        "bookmark": 55
      },
      "source": "<a href=\"https://mobile.twitter.com\" rel=\"nofollow\">Twitter Web App</a>"
    },
    {
      "…": "…"
    }
  ],
  "next_cursor": "DAABCgABHSYyKLN__-kKAAIdJidkM5rByQgAAwAAAAIAAA"
}